Index: /code/trunk/data/levels/missionOne.oxw
===================================================================
--- /code/trunk/data/levels/missionOne.oxw	(revision 9256)
+++ /code/trunk/data/levels/missionOne.oxw	(revision 9257)
@@ -509,5 +509,5 @@
 
 <!-- @Objects: 4 boxes (uncontrolled pawns) -->
-    <Pawn team=1 health=30 position="0,0,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box RVName = "Box 4" >
+    <Pawn team=1 health=30 position="0,0,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Box 4" >
         <events>
           <visibility>
@@ -523,5 +523,5 @@
     </Pawn>
 
-    <Pawn team=1 health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box RVName = "Box 3">
+    <Pawn team=1 health=30 position="0,100,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box radarname = "Box 3">
         <events>
           <visibility>
@@ -537,5 +537,5 @@
     </Pawn>
 
-    <Pawn health=30 position="0,200,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box team=1 RVName = "Box 2">
+    <Pawn health=30 position="0,200,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box team=1 radarname = "Box 2">
         <events>
           <visibility>
@@ -551,5 +551,5 @@
     </Pawn>
 
-    <Pawn health=30 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box team=1 RVName = "Box 1">
+    <Pawn health=30 position="0,300,0" direction="0,-1,0" collisionType=dynamic mass=100000 name=box team=1 radarname = "Box 1">
         <events>
           <visibility>
@@ -635,5 +635,5 @@
 
 <!-- @Objects: 2 pirates moving in squares, nonlethal -->
-                <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget" RVName="Pirate">
+                <SpaceShip position="0,2000,200" lookat="0,0,0" name="movingtarget" radarname="Pirate">
                             <events>
                                 <visibility>
@@ -656,5 +656,5 @@
                 </SpaceShip>
 
-                <SpaceShip position="0,2000,400" lookat="0,0,0" name="movingtarget" RVName="Pirate">
+                <SpaceShip position="0,2000,400" lookat="0,0,0" name="movingtarget" radarname="Pirate">
                             <events>
                                 <visibility>
@@ -977,11 +977,11 @@
 <!-- @Objects: HYDROGEN FARMER & DOCKING -->
     <SpaceShip
-        team     = 0
-        position = "-48900,100,0"
-        roll     = 90   yaw=0  pitch=20
-        mass     = 10000
-        health   = 100000 initialhealth=100000 maxhealth="100000"
-        name     = "HydroFarmer"
-        RVName   = "Hydrogen Farmer" >
+        team      = 0
+        position  = "-48900,100,0"
+        roll      = 90   yaw=0  pitch=20
+        mass      = 10000
+        health    = 100000 initialhealth=100000 maxhealth="100000"
+        name      = "HydroFarmer"
+        radarname = "Hydrogen Farmer" >
       <attached>
         <!-- Docking -->
@@ -1066,5 +1066,5 @@
         reloadwaittime      = "1"
         name                = "cruiser"
-        RVName              = "Spacecruiser" >
+        radarname           = "Spacecruiser" >
       <attached>
         <DockingTarget name="spaceShip" />
Index: /code/trunk/data/levels/underAttack.oxw
===================================================================
--- /code/trunk/data/levels/underAttack.oxw	(revision 9256)
+++ /code/trunk/data/levels/underAttack.oxw	(revision 9257)
@@ -56,5 +56,5 @@
       maxhealth         = 10000
       initialhealth     = 10000
-      RVName            = "Transporter"
+      radarname         = "Transporter"
     >
 
Index: /code/trunk/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- /code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 9256)
+++ /code/trunk/src/modules/overlays/hud/HUDNavigation.cc	(revision 9257)
@@ -79,5 +79,5 @@
     this->setTextSize ( 0.05f );
     this->setNavMarkerSize ( 0.05f );
-    this->setDetectionLimit( 10000.0f ); 
+    this->setDetectionLimit( 10000.0f );
 }
 
@@ -101,5 +101,5 @@
     XMLPortParam ( HUDNavigation, "textSize",      setTextSize,      getTextSize,      xmlelement, mode );
     XMLPortParam ( HUDNavigation, "navMarkerSize", setNavMarkerSize, getNavMarkerSize, xmlelement, mode );
-    XMLPortParam ( HUDNavigation, "detectionLimit", setDetectionLimit, getDetectionLimit, xmlelement, mode ); 
+    XMLPortParam ( HUDNavigation, "detectionLimit", setDetectionLimit, getDetectionLimit, xmlelement, mode );
 }
 
@@ -146,6 +146,6 @@
 
 float HUDNavigation::getArrowSizeX(int dist)
-{    
-    if (dist < 600) 
+{
+    if (dist < 600)
         dist = 600;
     return this->getActualSize().x * 900 * navMarkerSize_ / dist;
@@ -153,7 +153,7 @@
 
 float HUDNavigation::getArrowSizeY(int dist)
-{    
+{
     if (dist < 600)
-        dist = 600;   
+        dist = 600;
     return this->getActualSize().y * 900 * navMarkerSize_ / dist;
 }
@@ -184,6 +184,6 @@
         ObjectMap::iterator it = activeObjectList_.find ( listIt->first );
         closeEnough_ = listIt->second < detectionLimit_ ;
-        // display radarviewables on HUD if the marker limit and max-distance is not exceeded 
-        if ( markerCount_ < markerLimit_ && (closeEnough_ ||  detectionLimit_ < 0) ) 
+        // display radarviewables on HUD if the marker limit and max-distance is not exceeded
+        if ( markerCount_ < markerLimit_ && (closeEnough_ ||  detectionLimit_ < 0) )
         {
 
@@ -201,6 +201,6 @@
             //display name next to cursor
             else{
-            it->second.text_->setCaption(it->first->getRVName()); 
-            textLength = it->first->getRVName().size() * it->second.text_->getCharHeight() * 0.3f;
+            it->second.text_->setCaption(it->first->getRadarName());
+            textLength = it->first->getRadarName().size() * it->second.text_->getCharHeight() * 0.3f;
             }
 
@@ -311,5 +311,5 @@
             it->second.text_->show();
         }
-        else // do not display on HUD 
+        else // do not display on HUD
         {
             it->second.panel_->hide();
Index: /code/trunk/src/orxonox/infos/PlayerInfo.cc
===================================================================
--- /code/trunk/src/orxonox/infos/PlayerInfo.cc	(revision 9256)
+++ /code/trunk/src/orxonox/infos/PlayerInfo.cc	(revision 9257)
@@ -36,5 +36,5 @@
 #include "worldentities/ControllableEntity.h"
 #include "controllers/Controller.h"
-#include "worldentities/pawns/SpaceShip.h"
+#include "interfaces/RadarViewable.h"
 
 namespace orxonox
@@ -58,5 +58,5 @@
 
         this->registerVariables();
-        
+
     }
 
@@ -154,5 +154,5 @@
         while (this->previousControllableEntity_.size() > 0)
             this->stopTemporaryControl();
-        
+
         if (this->controllableEntity_)
             this->stopControl();
@@ -172,9 +172,8 @@
 
         this->changedControllableEntity();
-		SpaceShip* spaceship = dynamic_cast<SpaceShip*>(entity);
-        if (spaceship != NULL)
-        {
-            spaceship->setRVName(this->getName());
-        }
+
+		RadarViewable* radarviewable = orxonox_cast<RadarViewable*>(entity);
+        if (radarviewable != NULL)
+            radarviewable->setRadarName(this->getName());
     }
 
@@ -244,5 +243,5 @@
         if(this->isHumanPlayer()) // TODO: Multiplayer?
             this->controllableEntity_->destroyHud(); // HACK-ish
-        
+
 //        this->controllableEntity_ = this->previousControllableEntity_.back();
         do {
Index: /code/trunk/src/orxonox/interfaces/RadarViewable.cc
===================================================================
--- /code/trunk/src/orxonox/interfaces/RadarViewable.cc	(revision 9256)
+++ /code/trunk/src/orxonox/interfaces/RadarViewable.cc	(revision 9257)
@@ -51,5 +51,4 @@
         , radarObjectDescription_("staticObject")
         , scale_(1.0f)
-		, RVName("")
     {
         RegisterRootObject(RadarViewable);
Index: /code/trunk/src/orxonox/interfaces/RadarViewable.h
===================================================================
--- /code/trunk/src/orxonox/interfaces/RadarViewable.h	(revision 9256)
+++ /code/trunk/src/orxonox/interfaces/RadarViewable.h	(revision 9257)
@@ -61,14 +61,14 @@
         virtual ~RadarViewable();
 
-		virtual void setRVName(std::string name)
+		virtual void setRadarName(const std::string& name)
 			{
-				if (this->RVName != name)
+				if (this->radarName_ != name)
 				{
-					this->RVName = name;
+					this->radarName_ = name;
 					this->settingsChanged();
 				}
 			}
-		std::string getRVName() const
-			{ return this->RVName; }
+		const std::string& getRadarName() const
+			{ return this->radarName_; }
 
         inline void setRadarObjectCamouflage(float camouflage)
@@ -163,5 +163,5 @@
         ColourValue radarObjectColour_;
         float scale_;
-		std::string RVName;
+		std::string radarName_;
     };
 }
Index: /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc
===================================================================
--- /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9256)
+++ /code/trunk/src/orxonox/worldentities/pawns/Pawn.cc	(revision 9257)
@@ -130,5 +130,5 @@
         XMLPortParam(Pawn, "reloadwaittime", setReloadWaitTime, getReloadWaitTime, xmlelement, mode).defaultValues(1.0f);
 
-        XMLPortParam ( RadarViewable, "RVName", setRVName, getRVName, xmlelement, mode );
+        XMLPortParam ( RadarViewable, "radarname", setRadarName, getRadarName, xmlelement, mode );
     }
 
